source: squid-ssl/trunk/fuentes/src/ipc/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 42.3 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93subdir = src/ipc
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libipc_la_LIBADD =
162am__dirstamp = $(am__leading_dot)dirstamp
163am_libipc_la_OBJECTS = AtomicWord.lo FdNotes.lo Kid.lo Kids.lo \
164        MemMap.lo Queue.lo ReadWriteLock.lo StartListening.lo \
165        StoreMap.lo StrandCoord.lo StrandSearch.lo SharedListen.lo \
166        TypedMsgHdr.lo Coordinator.lo UdsOp.lo Port.lo Strand.lo \
167        Forwarder.lo Inquirer.lo mem/Page.lo mem/PagePool.lo \
168        mem/Pages.lo mem/PageStack.lo mem/Segment.lo
169libipc_la_OBJECTS = $(am_libipc_la_OBJECTS)
170AM_V_lt = $(am__v_lt_@AM_V@)
171am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
172am__v_lt_0 = --silent
173am__v_lt_1 =
174AM_V_P = $(am__v_P_@AM_V@)
175am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
176am__v_P_0 = false
177am__v_P_1 = :
178AM_V_GEN = $(am__v_GEN_@AM_V@)
179am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
180am__v_GEN_0 = @echo "  GEN     " $@;
181am__v_GEN_1 =
182AM_V_at = $(am__v_at_@AM_V@)
183am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
184am__v_at_0 = @
185am__v_at_1 =
186DEFAULT_INCLUDES =
187depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
188am__depfiles_maybe = depfiles
189am__mv = mv -f
190CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
191        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
192LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
193        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
194        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
195        $(AM_CXXFLAGS) $(CXXFLAGS)
196AM_V_CXX = $(am__v_CXX_@AM_V@)
197am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
198am__v_CXX_0 = @echo "  CXX     " $@;
199am__v_CXX_1 =
200CXXLD = $(CXX)
201CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
202        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
203        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
204AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
205am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
206am__v_CXXLD_0 = @echo "  CXXLD   " $@;
207am__v_CXXLD_1 =
208COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
209        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
210LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
211        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
212        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
213        $(AM_CFLAGS) $(CFLAGS)
214AM_V_CC = $(am__v_CC_@AM_V@)
215am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
216am__v_CC_0 = @echo "  CC      " $@;
217am__v_CC_1 =
218CCLD = $(CC)
219LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
220        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
221        $(AM_LDFLAGS) $(LDFLAGS) -o $@
222AM_V_CCLD = $(am__v_CCLD_@AM_V@)
223am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
224am__v_CCLD_0 = @echo "  CCLD    " $@;
225am__v_CCLD_1 =
226SOURCES = $(libipc_la_SOURCES)
227DIST_SOURCES = $(libipc_la_SOURCES)
228am__can_run_installinfo = \
229  case $$AM_UPDATE_INFO_DIR in \
230    n|no|NO) false;; \
231    *) (install-info --version) >/dev/null 2>&1;; \
232  esac
233am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
234# Read a list of newline-separated strings from the standard input,
235# and print each of them once, without duplicates.  Input order is
236# *not* preserved.
237am__uniquify_input = $(AWK) '\
238  BEGIN { nonempty = 0; } \
239  { items[$$0] = 1; nonempty = 1; } \
240  END { if (nonempty) { for (i in items) print i; }; } \
241'
242# Make sure the list of sources is unique.  This is necessary because,
243# e.g., the same source file might be shared among _SOURCES variables
244# for different programs/libraries.
245am__define_uniq_tagged_files = \
246  list='$(am__tagged_files)'; \
247  unique=`for i in $$list; do \
248    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
249  done | $(am__uniquify_input)`
250ETAGS = etags
251CTAGS = ctags
252am__tty_colors_dummy = \
253  mgn= red= grn= lgn= blu= brg= std=; \
254  am__color_tests=no
255am__tty_colors = { \
256  $(am__tty_colors_dummy); \
257  if test "X$(AM_COLOR_TESTS)" = Xno; then \
258    am__color_tests=no; \
259  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
260    am__color_tests=yes; \
261  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
262    am__color_tests=yes; \
263  fi; \
264  if test $$am__color_tests = yes; then \
265    red='[0;31m'; \
266    grn='[0;32m'; \
267    lgn='[1;32m'; \
268    blu='[1;34m'; \
269    mgn='[0;35m'; \
270    brg='[1m'; \
271    std='[m'; \
272  fi; \
273}
274am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
275am__vpath_adj = case $$p in \
276    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
277    *) f=$$p;; \
278  esac;
279am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
280am__install_max = 40
281am__nobase_strip_setup = \
282  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
283am__nobase_strip = \
284  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
285am__nobase_list = $(am__nobase_strip_setup); \
286  for p in $$list; do echo "$$p $$p"; done | \
287  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
288  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
289    if (++n[$$2] == $(am__install_max)) \
290      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
291    END { for (dir in files) print dir, files[dir] }'
292am__base_list = \
293  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
294  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
295am__uninstall_files_from_dir = { \
296  test -z "$$files" \
297    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
298    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
299         $(am__cd) "$$dir" && rm -f $$files; }; \
300  }
301am__recheck_rx = ^[     ]*:recheck:[    ]*
302am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
303am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
304# A command that, given a newline-separated list of test names on the
305# standard input, print the name of the tests that are to be re-run
306# upon "make recheck".
307am__list_recheck_tests = $(AWK) '{ \
308  recheck = 1; \
309  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
310    { \
311      if (rc < 0) \
312        { \
313          if ((getline line2 < ($$0 ".log")) < 0) \
314            recheck = 0; \
315          break; \
316        } \
317      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
318        { \
319          recheck = 0; \
320          break; \
321        } \
322      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
323        { \
324          break; \
325        } \
326    }; \
327  if (recheck) \
328    print $$0; \
329  close ($$0 ".trs"); \
330  close ($$0 ".log"); \
331}'
332# A command that, given a newline-separated list of test names on the
333# standard input, create the global log from their .trs and .log files.
334am__create_global_log = $(AWK) ' \
335function fatal(msg) \
336{ \
337  print "fatal: making $@: " msg | "cat >&2"; \
338  exit 1; \
339} \
340function rst_section(header) \
341{ \
342  print header; \
343  len = length(header); \
344  for (i = 1; i <= len; i = i + 1) \
345    printf "="; \
346  printf "\n\n"; \
347} \
348{ \
349  copy_in_global_log = 1; \
350  global_test_result = "RUN"; \
351  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
352    { \
353      if (rc < 0) \
354         fatal("failed to read from " $$0 ".trs"); \
355      if (line ~ /$(am__global_test_result_rx)/) \
356        { \
357          sub("$(am__global_test_result_rx)", "", line); \
358          sub("[        ]*$$", "", line); \
359          global_test_result = line; \
360        } \
361      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
362        copy_in_global_log = 0; \
363    }; \
364  if (copy_in_global_log) \
365    { \
366      rst_section(global_test_result ": " $$0); \
367      while ((rc = (getline line < ($$0 ".log"))) != 0) \
368      { \
369        if (rc < 0) \
370          fatal("failed to read from " $$0 ".log"); \
371        print line; \
372      }; \
373      printf "\n"; \
374    }; \
375  close ($$0 ".trs"); \
376  close ($$0 ".log"); \
377}'
378# Restructured Text title.
379am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
380# Solaris 10 'make', and several other traditional 'make' implementations,
381# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
382# by disabling -e (using the XSI extension "set +e") if it's set.
383am__sh_e_setup = case $$- in *e*) set +e;; esac
384# Default flags passed to test drivers.
385am__common_driver_flags = \
386  --color-tests "$$am__color_tests" \
387  --enable-hard-errors "$$am__enable_hard_errors" \
388  --expect-failure "$$am__expect_failure"
389# To be inserted before the command running the test.  Creates the
390# directory for the log if needed.  Stores in $dir the directory
391# containing $f, in $tst the test, in $log the log.  Executes the
392# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
393# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
394# will run the test scripts (or their associated LOG_COMPILER, if
395# thy have one).
396am__check_pre = \
397$(am__sh_e_setup);                                      \
398$(am__vpath_adj_setup) $(am__vpath_adj)                 \
399$(am__tty_colors);                                      \
400srcdir=$(srcdir); export srcdir;                        \
401case "$@" in                                            \
402  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
403    *) am__odir=.;;                                     \
404esac;                                                   \
405test "x$$am__odir" = x"." || test -d "$$am__odir"       \
406  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
407if test -f "./$$f"; then dir=./;                        \
408elif test -f "$$f"; then dir=;                          \
409else dir="$(srcdir)/"; fi;                              \
410tst=$$dir$$f; log='$@';                                 \
411if test -n '$(DISABLE_HARD_ERRORS)'; then               \
412  am__enable_hard_errors=no;                            \
413else                                                    \
414  am__enable_hard_errors=yes;                           \
415fi;                                                     \
416case " $(XFAIL_TESTS) " in                              \
417  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
418    am__expect_failure=yes;;                            \
419  *)                                                    \
420    am__expect_failure=no;;                             \
421esac;                                                   \
422$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
423# A shell command to get the names of the tests scripts with any registered
424# extension removed (i.e., equivalently, the names of the test logs, with
425# the '.log' extension removed).  The result is saved in the shell variable
426# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
427# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
428# since that might cause problem with VPATH rewrites for suffix-less tests.
429# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
430am__set_TESTS_bases = \
431  bases='$(TEST_LOGS)'; \
432  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
433  bases=`echo $$bases`
434RECHECK_LOGS = $(TEST_LOGS)
435AM_RECURSIVE_TARGETS = check recheck
436TEST_SUITE_LOG = test-suite.log
437TEST_EXTENSIONS = @EXEEXT@ .test
438LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
439LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
440am__set_b = \
441  case '$@' in \
442    */*) \
443      case '$*' in \
444        */*) b='$*';; \
445          *) b=`echo '$@' | sed 's/\.log$$//'`; \
446       esac;; \
447    *) \
448      b='$*';; \
449  esac
450am__test_logs1 = $(TESTS:=.log)
451am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
452TEST_LOGS = $(am__test_logs2:.test.log=.log)
453TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
454TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
455        $(TEST_LOG_FLAGS)
456am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
457        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
458        $(top_srcdir)/src/TestHeaders.am
459DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
460ACLOCAL = @ACLOCAL@
461ADAPTATION_LIBS = @ADAPTATION_LIBS@
462ALLOCA = @ALLOCA@
463AMTAR = @AMTAR@
464AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
465AR = @AR@
466ARGZ_H = @ARGZ_H@
467AR_R = @AR_R@
468AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
469AUTH_MODULES = @AUTH_MODULES@
470AUTOCONF = @AUTOCONF@
471AUTOHEADER = @AUTOHEADER@
472AUTOMAKE = @AUTOMAKE@
473AWK = @AWK@
474BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
475BUILDCXX = @BUILDCXX@
476BUILDCXXFLAGS = @BUILDCXXFLAGS@
477BZR = @BZR@
478CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
479CC = @CC@
480CCDEPMODE = @CCDEPMODE@
481CFLAGS = @CFLAGS@
482CGIEXT = @CGIEXT@
483CHMOD = @CHMOD@
484CPP = @CPP@
485CPPFLAGS = @CPPFLAGS@
486CPPUNITCONFIG = @CPPUNITCONFIG@
487CRYPTLIB = @CRYPTLIB@
488CXX = @CXX@
489CXXCPP = @CXXCPP@
490CXXDEPMODE = @CXXDEPMODE@
491CXXFLAGS = @CXXFLAGS@
492CYGPATH_W = @CYGPATH_W@
493DEFAULT_HOSTS = @DEFAULT_HOSTS@
494DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
495DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
496DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
497DEFS = @DEFS@ -DDEFAULT_STATEDIR=\"$(localstatedir)/run/squid\"
498DEPDIR = @DEPDIR@
499DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
500DISK_LIBS = @DISK_LIBS@
501DISK_LINKOBJS = @DISK_LINKOBJS@
502DISK_MODULES = @DISK_MODULES@
503DISK_OS_LIBS = @DISK_OS_LIBS@
504DISK_PROGRAMS = @DISK_PROGRAMS@
505DLLTOOL = @DLLTOOL@
506DSYMUTIL = @DSYMUTIL@
507DUMPBIN = @DUMPBIN@
508ECAP_LIBS = @ECAP_LIBS@
509ECHO_C = @ECHO_C@
510ECHO_N = @ECHO_N@
511ECHO_T = @ECHO_T@
512EGREP = @EGREP@
513EPOLL_LIBS = @EPOLL_LIBS@
514EUILIB = @EUILIB@
515EXEEXT = @EXEEXT@
516EXPATLIB = @EXPATLIB@
517EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
518EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
519EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
520FALSE = @FALSE@
521FGREP = @FGREP@
522GREP = @GREP@
523HAVE_CXX11 = @HAVE_CXX11@
524ICAP_LIBS = @ICAP_LIBS@
525INCLTDL = @INCLTDL@
526INSTALL = @INSTALL@
527INSTALL_DATA = @INSTALL_DATA@
528INSTALL_PROGRAM = @INSTALL_PROGRAM@
529INSTALL_SCRIPT = @INSTALL_SCRIPT@
530INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
531KRB5INCS = @KRB5INCS@
532KRB5LIBS = @KRB5LIBS@
533LBERLIB = @LBERLIB@
534LD = @LD@
535LDAPLIB = @LDAPLIB@
536LDFLAGS = @LDFLAGS@
537LIBADD_DL = @LIBADD_DL@
538LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
539LIBADD_DLOPEN = @LIBADD_DLOPEN@
540LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
541LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
542LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
543LIBLTDL = @LIBLTDL@
544LIBOBJS = @LIBOBJS@
545LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
546LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
547LIBS = @LIBS@
548LIBSASL = @LIBSASL@
549LIBTOOL = @LIBTOOL@
550LIB_DB = @LIB_DB@
551LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
552LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
553LINUXDOC = @LINUXDOC@
554LIPO = @LIPO@
555LN = @LN@
556LN_S = @LN_S@
557LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
558LTDLDEPS = @LTDLDEPS@
559LTDLINCL = @LTDLINCL@
560LTDLOPEN = @LTDLOPEN@
561LTLIBOBJS = @LTLIBOBJS@
562LT_CONFIG_H = @LT_CONFIG_H@
563LT_DLLOADERS = @LT_DLLOADERS@
564LT_DLPREOPEN = @LT_DLPREOPEN@
565MAINT = @MAINT@
566MAKEINFO = @MAKEINFO@
567MANIFEST_TOOL = @MANIFEST_TOOL@
568MINGW_LIBS = @MINGW_LIBS@
569MKDIR = @MKDIR@
570MKDIR_P = @MKDIR_P@
571MV = @MV@
572NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
573NETTLELIB = @NETTLELIB@
574NM = @NM@
575NMEDIT = @NMEDIT@
576NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
577OBJDUMP = @OBJDUMP@
578OBJEXT = @OBJEXT@
579OTOOL = @OTOOL@
580OTOOL64 = @OTOOL64@
581PACKAGE = @PACKAGE@
582PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
583PACKAGE_NAME = @PACKAGE_NAME@
584PACKAGE_STRING = @PACKAGE_STRING@
585PACKAGE_TARNAME = @PACKAGE_TARNAME@
586PACKAGE_URL = @PACKAGE_URL@
587PACKAGE_VERSION = @PACKAGE_VERSION@
588PATH_SEPARATOR = @PATH_SEPARATOR@
589PERL = @PERL@
590PKG_CONFIG = @PKG_CONFIG@
591PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
592PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
593PO2HTML = @PO2HTML@
594PO2TEXT = @PO2TEXT@
595POD2MAN = @POD2MAN@
596RANLIB = @RANLIB@
597REGEXLIB = @REGEXLIB@
598REPL_LIBS = @REPL_LIBS@
599REPL_OBJS = @REPL_OBJS@
600REPL_POLICIES = @REPL_POLICIES@
601RM = @RM@
602SED = @SED@
603SET_MAKE = @SET_MAKE@
604SH = @SH@
605SHELL = @SHELL@
606SMBCLIENT = @SMBCLIENT@
607SNMPLIB = @SNMPLIB@
608SQUID_CFLAGS = @SQUID_CFLAGS@
609SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
610SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
611SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
612SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
613SSLLIB = @SSLLIB@
614STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
615STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
616STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
617STORE_TESTS = @STORE_TESTS@
618STRIP = @STRIP@
619TR = @TR@
620TRUE = @TRUE@
621URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
622VERSION = @VERSION@
623WBINFO = @WBINFO@
624WIN32_PSAPI = @WIN32_PSAPI@
625XMLLIB = @XMLLIB@
626XTRA_LIBS = @XTRA_LIBS@
627XTRA_OBJS = @XTRA_OBJS@
628abs_builddir = @abs_builddir@
629abs_srcdir = @abs_srcdir@
630abs_top_builddir = @abs_top_builddir@
631abs_top_srcdir = @abs_top_srcdir@
632ac_ct_AR = @ac_ct_AR@
633ac_ct_CC = @ac_ct_CC@
634ac_ct_CXX = @ac_ct_CXX@
635ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
636am__include = @am__include@
637am__leading_dot = @am__leading_dot@
638am__quote = @am__quote@
639am__tar = @am__tar@
640am__untar = @am__untar@
641bindir = @bindir@
642build = @build@
643build_alias = @build_alias@
644build_cpu = @build_cpu@
645build_os = @build_os@
646build_vendor = @build_vendor@
647builddir = @builddir@
648datadir = @datadir@
649datarootdir = @datarootdir@
650docdir = @docdir@
651dvidir = @dvidir@
652exec_prefix = @exec_prefix@
653host = @host@
654host_alias = @host_alias@
655host_cpu = @host_cpu@
656host_os = @host_os@
657host_vendor = @host_vendor@
658htmldir = @htmldir@
659includedir = @includedir@
660infodir = @infodir@
661install_sh = @install_sh@
662krb5_config = @krb5_config@
663libdir = @libdir@
664libexecdir = @libexecdir@
665localedir = @localedir@
666localstatedir = @localstatedir@
667ltdl_LIBOBJS = @ltdl_LIBOBJS@
668ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
669mandir = @mandir@
670mkdir_p = @mkdir_p@
671oldincludedir = @oldincludedir@
672pdfdir = @pdfdir@
673prefix = @prefix@
674program_transform_name = @program_transform_name@
675psdir = @psdir@
676runstatedir = @runstatedir@
677sbindir = @sbindir@
678sharedstatedir = @sharedstatedir@
679srcdir = @srcdir@
680subdirs = @subdirs@
681sys_symbol_underscore = @sys_symbol_underscore@
682sysconfdir = @sysconfdir@
683target_alias = @target_alias@
684top_build_prefix = @top_build_prefix@
685top_builddir = @top_builddir@
686top_srcdir = @top_srcdir@
687AM_CFLAGS = $(SQUID_CFLAGS)
688AM_CXXFLAGS = $(SQUID_CXXFLAGS)
689CLEANFILES = testHeaders
690TESTS = testHeaders
691AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
692        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
693        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
694        $(am__append_1)
695@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
696@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
697COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
698subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
699noinst_LTLIBRARIES = libipc.la
700libipc_la_SOURCES = \
701        AtomicWord.cc \
702        AtomicWord.h \
703        FdNotes.cc \
704        FdNotes.h \
705        Kid.cc \
706        Kid.h \
707        Kids.cc \
708        Kids.h \
709        Messages.h \
710        MemMap.cc \
711        MemMap.h \
712        Queue.cc \
713        Queue.h \
714        ReadWriteLock.cc \
715        ReadWriteLock.h \
716        StartListening.cc \
717        StartListening.h \
718        StoreMap.cc \
719        StoreMap.h \
720        StrandCoord.cc \
721        StrandCoord.h \
722        StrandCoords.h \
723        StrandSearch.cc \
724        StrandSearch.h \
725        SharedListen.cc \
726        SharedListen.h \
727        TypedMsgHdr.cc \
728        TypedMsgHdr.h \
729        Coordinator.cc \
730        Coordinator.h \
731        UdsOp.cc \
732        UdsOp.h \
733        Port.cc \
734        Port.h \
735        Strand.cc \
736        Strand.h \
737        forward.h \
738        Forwarder.cc \
739        Forwarder.h \
740        Inquirer.cc \
741        Inquirer.h \
742        Request.h \
743        Response.h \
744        \
745        mem/FlexibleArray.h \
746        mem/Page.cc \
747        mem/Page.h \
748        mem/PagePool.cc \
749        mem/PagePool.h \
750        mem/Pages.cc \
751        mem/Pages.h \
752        mem/PageStack.cc \
753        mem/PageStack.h \
754        mem/Pointer.h \
755        mem/Segment.cc \
756        mem/Segment.h
757
758all: all-am
759
760.SUFFIXES:
761.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
762$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
763        @for dep in $?; do \
764          case '$(am__configure_deps)' in \
765            *$$dep*) \
766              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
767                && { if test -f $@; then exit 0; else break; fi; }; \
768              exit 1;; \
769          esac; \
770        done; \
771        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/ipc/Makefile'; \
772        $(am__cd) $(top_srcdir) && \
773          $(AUTOMAKE) --foreign src/ipc/Makefile
774Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
775        @case '$?' in \
776          *config.status*) \
777            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
778          *) \
779            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
780            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
781        esac;
782$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
783
784$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
785        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
786
787$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
788        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
789$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
790        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
791$(am__aclocal_m4_deps):
792
793clean-noinstLTLIBRARIES:
794        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
795        @list='$(noinst_LTLIBRARIES)'; \
796        locs=`for p in $$list; do echo $$p; done | \
797              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
798              sort -u`; \
799        test -z "$$locs" || { \
800          echo rm -f $${locs}; \
801          rm -f $${locs}; \
802        }
803mem/$(am__dirstamp):
804        @$(MKDIR_P) mem
805        @: > mem/$(am__dirstamp)
806mem/$(DEPDIR)/$(am__dirstamp):
807        @$(MKDIR_P) mem/$(DEPDIR)
808        @: > mem/$(DEPDIR)/$(am__dirstamp)
809mem/Page.lo: mem/$(am__dirstamp) mem/$(DEPDIR)/$(am__dirstamp)
810mem/PagePool.lo: mem/$(am__dirstamp) mem/$(DEPDIR)/$(am__dirstamp)
811mem/Pages.lo: mem/$(am__dirstamp) mem/$(DEPDIR)/$(am__dirstamp)
812mem/PageStack.lo: mem/$(am__dirstamp) mem/$(DEPDIR)/$(am__dirstamp)
813mem/Segment.lo: mem/$(am__dirstamp) mem/$(DEPDIR)/$(am__dirstamp)
814
815libipc.la: $(libipc_la_OBJECTS) $(libipc_la_DEPENDENCIES) $(EXTRA_libipc_la_DEPENDENCIES)
816        $(AM_V_CXXLD)$(CXXLINK)  $(libipc_la_OBJECTS) $(libipc_la_LIBADD) $(LIBS)
817
818clean-checkPROGRAMS:
819        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
820        echo " rm -f" $$list; \
821        rm -f $$list || exit $$?; \
822        test -n "$(EXEEXT)" || exit 0; \
823        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
824        echo " rm -f" $$list; \
825        rm -f $$list
826
827mostlyclean-compile:
828        -rm -f *.$(OBJEXT)
829        -rm -f mem/*.$(OBJEXT)
830        -rm -f mem/*.lo
831
832distclean-compile:
833        -rm -f *.tab.c
834
835@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AtomicWord.Plo@am__quote@
836@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Coordinator.Plo@am__quote@
837@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/FdNotes.Plo@am__quote@
838@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Forwarder.Plo@am__quote@
839@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Inquirer.Plo@am__quote@
840@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Kid.Plo@am__quote@
841@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Kids.Plo@am__quote@
842@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MemMap.Plo@am__quote@
843@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Port.Plo@am__quote@
844@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Queue.Plo@am__quote@
845@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ReadWriteLock.Plo@am__quote@
846@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SharedListen.Plo@am__quote@
847@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/StartListening.Plo@am__quote@
848@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/StoreMap.Plo@am__quote@
849@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Strand.Plo@am__quote@
850@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/StrandCoord.Plo@am__quote@
851@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/StrandSearch.Plo@am__quote@
852@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/TypedMsgHdr.Plo@am__quote@
853@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UdsOp.Plo@am__quote@
854@AMDEP_TRUE@@am__include@ @am__quote@mem/$(DEPDIR)/Page.Plo@am__quote@
855@AMDEP_TRUE@@am__include@ @am__quote@mem/$(DEPDIR)/PagePool.Plo@am__quote@
856@AMDEP_TRUE@@am__include@ @am__quote@mem/$(DEPDIR)/PageStack.Plo@am__quote@
857@AMDEP_TRUE@@am__include@ @am__quote@mem/$(DEPDIR)/Pages.Plo@am__quote@
858@AMDEP_TRUE@@am__include@ @am__quote@mem/$(DEPDIR)/Segment.Plo@am__quote@
859
860.cc.o:
861@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
862@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
863@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
864@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
865@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
866@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
867
868.cc.obj:
869@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
870@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
871@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
872@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
873@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
874@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
875
876.cc.lo:
877@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
878@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
879@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
880@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
881@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
882@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
883
884mostlyclean-libtool:
885        -rm -f *.lo
886
887clean-libtool:
888        -rm -rf .libs _libs
889        -rm -rf mem/.libs mem/_libs
890
891ID: $(am__tagged_files)
892        $(am__define_uniq_tagged_files); mkid -fID $$unique
893tags: tags-am
894TAGS: tags
895
896tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
897        set x; \
898        here=`pwd`; \
899        $(am__define_uniq_tagged_files); \
900        shift; \
901        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
902          test -n "$$unique" || unique=$$empty_fix; \
903          if test $$# -gt 0; then \
904            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
905              "$$@" $$unique; \
906          else \
907            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
908              $$unique; \
909          fi; \
910        fi
911ctags: ctags-am
912
913CTAGS: ctags
914ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
915        $(am__define_uniq_tagged_files); \
916        test -z "$(CTAGS_ARGS)$$unique" \
917          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
918             $$unique
919
920GTAGS:
921        here=`$(am__cd) $(top_builddir) && pwd` \
922          && $(am__cd) $(top_srcdir) \
923          && gtags -i $(GTAGS_ARGS) "$$here"
924cscopelist: cscopelist-am
925
926cscopelist-am: $(am__tagged_files)
927        list='$(am__tagged_files)'; \
928        case "$(srcdir)" in \
929          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
930          *) sdir=$(subdir)/$(srcdir) ;; \
931        esac; \
932        for i in $$list; do \
933          if test -f "$$i"; then \
934            echo "$(subdir)/$$i"; \
935          else \
936            echo "$$sdir/$$i"; \
937          fi; \
938        done >> $(top_builddir)/cscope.files
939
940distclean-tags:
941        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
942
943# Recover from deleted '.trs' file; this should ensure that
944# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
945# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
946# to avoid problems with "make -n".
947.log.trs:
948        rm -f $< $@
949        $(MAKE) $(AM_MAKEFLAGS) $<
950
951# Leading 'am--fnord' is there to ensure the list of targets does not
952# expand to empty, as could happen e.g. with make check TESTS=''.
953am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
954am--force-recheck:
955        @:
956
957$(TEST_SUITE_LOG): $(TEST_LOGS)
958        @$(am__set_TESTS_bases); \
959        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
960        redo_bases=`for i in $$bases; do \
961                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
962                    done`; \
963        if test -n "$$redo_bases"; then \
964          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
965          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
966          if $(am__make_dryrun); then :; else \
967            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
968          fi; \
969        fi; \
970        if test -n "$$am__remaking_logs"; then \
971          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
972               "recursion detected" >&2; \
973        elif test -n "$$redo_logs"; then \
974          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
975        fi; \
976        if $(am__make_dryrun); then :; else \
977          st=0;  \
978          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
979          for i in $$redo_bases; do \
980            test -f $$i.trs && test -r $$i.trs \
981              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
982            test -f $$i.log && test -r $$i.log \
983              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
984          done; \
985          test $$st -eq 0 || exit 1; \
986        fi
987        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
988        ws='[   ]'; \
989        results=`for b in $$bases; do echo $$b.trs; done`; \
990        test -n "$$results" || results=/dev/null; \
991        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
992        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
993        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
994        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
995        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
996        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
997        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
998        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
999          success=true; \
1000        else \
1001          success=false; \
1002        fi; \
1003        br='==================='; br=$$br$$br$$br$$br; \
1004        result_count () \
1005        { \
1006            if test x"$$1" = x"--maybe-color"; then \
1007              maybe_colorize=yes; \
1008            elif test x"$$1" = x"--no-color"; then \
1009              maybe_colorize=no; \
1010            else \
1011              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1012            fi; \
1013            shift; \
1014            desc=$$1 count=$$2; \
1015            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1016              color_start=$$3 color_end=$$std; \
1017            else \
1018              color_start= color_end=; \
1019            fi; \
1020            echo "$${color_start}# $$desc $$count$${color_end}"; \
1021        }; \
1022        create_testsuite_report () \
1023        { \
1024          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1025          result_count $$1 "PASS: " $$pass  "$$grn"; \
1026          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1027          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1028          result_count $$1 "FAIL: " $$fail  "$$red"; \
1029          result_count $$1 "XPASS:" $$xpass "$$red"; \
1030          result_count $$1 "ERROR:" $$error "$$mgn"; \
1031        }; \
1032        {                                                               \
1033          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1034            $(am__rst_title);                                           \
1035          create_testsuite_report --no-color;                           \
1036          echo;                                                         \
1037          echo ".. contents:: :depth: 2";                               \
1038          echo;                                                         \
1039          for b in $$bases; do echo $$b; done                           \
1040            | $(am__create_global_log);                                 \
1041        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1042        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1043        if $$success; then                                              \
1044          col="$$grn";                                                  \
1045         else                                                           \
1046          col="$$red";                                                  \
1047          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1048        fi;                                                             \
1049        echo "$${col}$$br$${std}";                                      \
1050        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1051        echo "$${col}$$br$${std}";                                      \
1052        create_testsuite_report --maybe-color;                          \
1053        echo "$$col$$br$$std";                                          \
1054        if $$success; then :; else                                      \
1055          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1056          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1057            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1058          fi;                                                           \
1059          echo "$$col$$br$$std";                                        \
1060        fi;                                                             \
1061        $$success || exit 1
1062
1063check-TESTS:
1064        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1065        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1066        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1067        @set +e; $(am__set_TESTS_bases); \
1068        log_list=`for i in $$bases; do echo $$i.log; done`; \
1069        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1070        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1071        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1072        exit $$?;
1073recheck: all $(check_PROGRAMS)
1074        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1075        @set +e; $(am__set_TESTS_bases); \
1076        bases=`for i in $$bases; do echo $$i; done \
1077                 | $(am__list_recheck_tests)` || exit 1; \
1078        log_list=`for i in $$bases; do echo $$i.log; done`; \
1079        log_list=`echo $$log_list`; \
1080        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1081                am__force_recheck=am--force-recheck \
1082                TEST_LOGS="$$log_list"; \
1083        exit $$?
1084testHeaders.log: testHeaders
1085        @p='testHeaders'; \
1086        b='testHeaders'; \
1087        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1088        --log-file $$b.log --trs-file $$b.trs \
1089        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1090        "$$tst" $(AM_TESTS_FD_REDIRECT)
1091.test.log:
1092        @p='$<'; \
1093        $(am__set_b); \
1094        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1095        --log-file $$b.log --trs-file $$b.trs \
1096        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1097        "$$tst" $(AM_TESTS_FD_REDIRECT)
1098@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1099@am__EXEEXT_TRUE@       @p='$<'; \
1100@am__EXEEXT_TRUE@       $(am__set_b); \
1101@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1102@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1103@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1104@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1105
1106distdir: $(DISTFILES)
1107        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1108        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1109        list='$(DISTFILES)'; \
1110          dist_files=`for file in $$list; do echo $$file; done | \
1111          sed -e "s|^$$srcdirstrip/||;t" \
1112              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1113        case $$dist_files in \
1114          */*) $(MKDIR_P) `echo "$$dist_files" | \
1115                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1116                           sort -u` ;; \
1117        esac; \
1118        for file in $$dist_files; do \
1119          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1120          if test -d $$d/$$file; then \
1121            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1122            if test -d "$(distdir)/$$file"; then \
1123              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1124            fi; \
1125            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1126              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1127              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1128            fi; \
1129            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1130          else \
1131            test -f "$(distdir)/$$file" \
1132            || cp -p $$d/$$file "$(distdir)/$$file" \
1133            || exit 1; \
1134          fi; \
1135        done
1136check-am: all-am
1137        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1138        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1139check: check-am
1140all-am: Makefile $(LTLIBRARIES)
1141installdirs:
1142install: install-am
1143install-exec: install-exec-am
1144install-data: install-data-am
1145uninstall: uninstall-am
1146
1147install-am: all-am
1148        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1149
1150installcheck: installcheck-am
1151install-strip:
1152        if test -z '$(STRIP)'; then \
1153          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1154            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1155              install; \
1156        else \
1157          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1158            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1159            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1160        fi
1161mostlyclean-generic:
1162        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1163        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1164        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1165
1166clean-generic:
1167        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1168
1169distclean-generic:
1170        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1171        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1172        -rm -f mem/$(DEPDIR)/$(am__dirstamp)
1173        -rm -f mem/$(am__dirstamp)
1174
1175maintainer-clean-generic:
1176        @echo "This command is intended for maintainers to use"
1177        @echo "it deletes files that may require special tools to rebuild."
1178clean: clean-am
1179
1180clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1181        clean-noinstLTLIBRARIES mostlyclean-am
1182
1183distclean: distclean-am
1184        -rm -rf ./$(DEPDIR) mem/$(DEPDIR)
1185        -rm -f Makefile
1186distclean-am: clean-am distclean-compile distclean-generic \
1187        distclean-tags
1188
1189dvi: dvi-am
1190
1191dvi-am:
1192
1193html: html-am
1194
1195html-am:
1196
1197info: info-am
1198
1199info-am:
1200
1201install-data-am: install-data-local
1202
1203install-dvi: install-dvi-am
1204
1205install-dvi-am:
1206
1207install-exec-am:
1208
1209install-html: install-html-am
1210
1211install-html-am:
1212
1213install-info: install-info-am
1214
1215install-info-am:
1216
1217install-man:
1218
1219install-pdf: install-pdf-am
1220
1221install-pdf-am:
1222
1223install-ps: install-ps-am
1224
1225install-ps-am:
1226
1227installcheck-am:
1228
1229maintainer-clean: maintainer-clean-am
1230        -rm -rf ./$(DEPDIR) mem/$(DEPDIR)
1231        -rm -f Makefile
1232maintainer-clean-am: distclean-am maintainer-clean-generic
1233
1234mostlyclean: mostlyclean-am
1235
1236mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1237        mostlyclean-libtool
1238
1239pdf: pdf-am
1240
1241pdf-am:
1242
1243ps: ps-am
1244
1245ps-am:
1246
1247uninstall-am:
1248
1249.MAKE: check-am install-am install-strip
1250
1251.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1252        clean-checkPROGRAMS clean-generic clean-libtool \
1253        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1254        distclean-compile distclean-generic distclean-libtool \
1255        distclean-tags distdir dvi dvi-am html html-am info info-am \
1256        install install-am install-data install-data-am \
1257        install-data-local install-dvi install-dvi-am install-exec \
1258        install-exec-am install-html install-html-am install-info \
1259        install-info-am install-man install-pdf install-pdf-am \
1260        install-ps install-ps-am install-strip installcheck \
1261        installcheck-am installdirs maintainer-clean \
1262        maintainer-clean-generic mostlyclean mostlyclean-compile \
1263        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1264        recheck tags tags-am uninstall uninstall-am
1265
1266.PRECIOUS: Makefile
1267
1268
1269$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1270
1271testHeaders: $(srcdir)/*.h
1272        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1273
1274.PHONY: testHeaders
1275
1276install-data-local:
1277        $(mkinstalldirs) $(DESTDIR)$(localstatedir)/run/squid;
1278
1279# Tell versions [3.59,3.63) of GNU make to not export all variables.
1280# Otherwise a system limit (for SysV at least) may be exceeded.
1281.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.